Package org.eclipse.ui.commands

## Interface IKeyConfigurationListener

    @Deprecated
    public interface IKeyConfigurationListener

Deprecated.
Please use the bindings support in the "org.eclipse.jface" plug-in instead.

An instance of `IKeyConfigurationListener` can be used by clients to receive notification of changes to one or more instances of `IKeyConfiguration`.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `IKeyConfiguration.addKeyConfigurationListener(IKeyConfigurationListener)`, `IKeyConfiguration.removeKeyConfigurationListener(IKeyConfigurationListener)`, `KeyConfigurationEvent`, `ISchemeListener`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `keyConfigurationChanged​(KeyConfigurationEvent keyConfigurationEvent)` Deprecated.

### Method Detail

#### keyConfigurationChanged

    @Deprecated
    void keyConfigurationChanged​(KeyConfigurationEvent keyConfigurationEvent)

Deprecated.
Notifies that one or more attributes of an instance of `IKeyConfiguration` have changed. Specific details are described in the `KeyConfigurationEvent`.

Parameters:
  `keyConfigurationEvent` - the keyConfiguration event. Guaranteed not to be `null`.